Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::Thread Class Reference

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads. More...

`#include <thread.h>`

Inheritance diagram for sc::Thread:

[legend]
List of all members.

## Public Methods
| Thread ()
virtual | ~Thread ()
virtual void | run ()=0
| This is called with the Thread is run from a ThreadGrp.
## Static Public Methods
void * | run_Thread_run (void *thread)

## Detailed Description

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

The documentation for this class was generated from the following file:

- thread.h